=== modified file 'comparison/comparison.py'
--- comparison/comparison.py	2009-01-28 10:22:35 +0000
+++ comparison/comparison.py	2009-01-30 09:30:37 +0000
@@ -163,7 +163,7 @@
     _name = 'comparison.vote'
     _columns = {
         'user_id': fields.many2one('comparison.user', 'User', required=True, ondelete='cascade'),
-        'factor_id': fields.many2one('comparison.factor', 'Factor', required=True, ondelete='cascade', domain=[('parent_id','<>',False)]),
+        'factor_id': fields.many2one('comparison.factor', 'Factor', required=True, ondelete='cascade', domain=[('type','<>','view')]),
         'item_id': fields.many2one('comparison.item', 'Item', required=True, ondelete='cascade'),
         'score_id': fields.many2one('comparison.vote.values', 'Value', required=True),
 #        'ponderation': fields.float('Ponderation'), do we need it here?
@@ -197,55 +197,66 @@
     def _compute_score(self, cr, uid, ids, name, args, context):
         if not ids: return {}
         result = {}
-        
         for obj_factor_result in self.browse(cr, uid, ids):
 #            consider maximum vote factor = 5.0
             pond_div = 5.00
             result[obj_factor_result.id] = 0.00
-
             ponderation_result = 0.00
-            ponderation = obj_factor_result.factor_id.ponderation
-            
-            vote_ids = self.pool.get('comparison.vote').search(cr, uid, [('factor_id','=',obj_factor_result.factor_id.id),('item_id','=',obj_factor_result.item_id.id)])
-            votes = []
-            
-            if vote_ids:
-                for obj_vote in self.pool.get('comparison.vote').browse(cr, uid, vote_ids):
-                    votes.append(obj_vote.score_id.factor * ponderation)
-                ponderation_result = (ponderation * pond_div) * len(votes)    
+            
+            if obj_factor_result.factor_id.type == 'criterion': # type=view cannot be voted ever.
+                
+                ponderation = obj_factor_result.factor_id.ponderation
+                vote_ids = self.pool.get('comparison.vote').search(cr, uid, [('factor_id','=',obj_factor_result.factor_id.id),('item_id','=',obj_factor_result.item_id.id)])
+                votes = []
+                
+                if vote_ids:
+                    for obj_vote in self.pool.get('comparison.vote').browse(cr, uid, vote_ids):
+                        votes.append(obj_vote.score_id.factor * ponderation)
+                    ponderation_result = (ponderation * pond_div) * len(votes)    
+                else:
+    #                votes = [0.00]
+                    ponderation_result = (ponderation * pond_div)        
+                sum_votes = votes and sum(votes) or 0.00
+                
+                result[obj_factor_result.id] = round(((sum_votes * 100)/float(ponderation_result)),2) #+   (' + str(len(votes)) + ' Vote(s))'
+
             else:
-#                votes = [0.00]
-                ponderation_result = (ponderation * pond_div)        
-            
-            sum_votes = votes and sum(votes) or 0.00
-            result[obj_factor_result.id] = round(((sum_votes * 100)/float(ponderation_result)),2) #+   (' + str(len(votes)) + ' Vote(s))'
-
-            # Calculate children if any
-            if obj_factor_result.factor_id.child_ids:
-                child_ids = [x.id for x in obj_factor_result.factor_id.child_ids]
-
-                child_factor_ids = self.pool.get('comparison.factor.result').search(cr, uid, [('factor_id','in',child_ids),('item_id','=',obj_factor_result.item_id.id),('votes','>',0.0)])
-
-                if child_factor_ids:
-                    child_factors = self.pool.get('comparison.factor.result').read(cr, uid, child_factor_ids)
-                    votes_child = []
-                    pond_child_result = 0.0
-                    
-                    for factor in child_factors:
-                        obj_factor = self.pool.get('comparison.factor').browse(cr, uid, factor['factor_id'][0])
-                        votes_child.append(obj_factor.ponderation * pond_div * factor['result']/100.00)
-                        pond_child_result += (obj_factor.ponderation * pond_div)
-                    
-                    # adding parent into calculation if it has a parent
-                    if obj_factor_result.factor_id.parent_id:
-                        pond_child_result += ponderation_result 
-                    
-                    sum_votes += sum(votes_child)
-                    result[obj_factor_result.id] = round(((sum_votes * 100)/float(pond_child_result)),2)
+                
+                sum_votes = 0.0
+#                child_ids = self.pool.get('comparison.factor').search(cr, uid, [('parent_id','child_of',[obj_factor_result.factor_id.id])])
+#                child_ids.remove(obj_factor_result.factor_id.id)
+                voted = False
+                if obj_factor_result.factor_id.child_ids:
+                    child_ids = [x.id for x in obj_factor_result.factor_id.child_ids]
+                    child_factor_ids = self.pool.get('comparison.factor.result').search(cr, uid, [('factor_id','in',child_ids),('item_id','=',obj_factor_result.item_id.id)])
+                    
+                    if child_factor_ids:
+                        child_factors = self.pool.get('comparison.factor.result').read(cr, uid, child_factor_ids)
+                        votes_child = []
+                        pond_child_result = 0.0
+                        
+                        for factor in child_factors:
+                            obj_factor = self.pool.get('comparison.factor').browse(cr, uid, factor['factor_id'][0])
+                            score = factor['result']
+                            if score > 0.0:
+                                votes_child.append(obj_factor.ponderation * pond_div * score/100.00)
+                                pond_child_result += (obj_factor.ponderation * pond_div)
+                                voted = True
+                        
+                        # adding parent into calculation if it has a parent
+#                        if obj_factor_result.factor_id.parent_id:
+#                            pond_child_result += ponderation_result 
+                        
+                        sum_votes += sum(votes_child)
+                        pond_child_result = pond_child_result or 1.0
+                        result[obj_factor_result.id] = round(((sum_votes * 100)/float(pond_child_result)),2)
+                # Calculate scores of relative parents
+#                if obj_factor_result.factor_id.parent_id:
+#                    self.write(cr, uid, obj_factor_result.factor_id.parent_id.id, {'votes':obj_factor_result.votes + 1})
         return result
     
     _columns = {
-        'factor_id': fields.many2one('comparison.factor','Factor', ondelete='set null',required=1, readonly=1),
+        'factor_id': fields.many2one('comparison.factor','Factor', ondelete='set null', required=1, readonly=1),
         'item_id': fields.many2one('comparison.item','Item', ondelete='set null', required=1, readonly=1),
         'result': fields.function(_compute_score, method=True, digits=(16,2), type="float", string='Goodness(%)', readonly=1),
         'votes': fields.float('Votes', readonly=1),
@@ -283,7 +294,6 @@
         obj_factor = pool_factor.browse(cr, uid, obj_sugg.factor_id.id)
         obj_user = self.pool.get('comparison.user').browse(cr, uid, obj_sugg.user_id.id)
         suggestion = obj_sugg.ponderation or 1.0 # to avoid 0 division
-        print "suggestion",obj_factor.ponderation, suggestion
         new_pond = (obj_factor.ponderation / suggestion)
         note = obj_factor.note or ''
         factor_id = pool_factor.write(cr, uid, [obj_sugg.factor_id.id],{'ponderation':new_pond,'note':str(note) + '\n' +'Ponderation Revoked by Website Administrator. Value Changed from ' + str(obj_factor.ponderation) + ' to ' + str(new_pond) +'.' })

=== modified file 'comparison/website/erpComparator/erpcomparator/subcontrollers/templates/about.kid'
--- comparison/website/erpComparator/erpcomparator/subcontrollers/templates/about.kid	2009-01-29 06:01:23 +0000
+++ comparison/website/erpComparator/erpcomparator/subcontrollers/templates/about.kid	2009-01-30 06:26:38 +0000
@@ -6,119 +6,152 @@
     <title>Comparison</title>
 </head>
 <body>
-	<table id="bodybackground" style="padding: 5px; text-align: justify; width: 890px;">
-		<tr>
-			<td>
-				<div id="checkboxtext" style="font-family: Verdana, Geneva, sans-serif; font-style: normal; font-size: 12px;">
-					<b>Introduction</b><br/>
-					
-					<p style="text-align: justify;">
-						Evaluation-Matrix is a collaborative platform dedicated to evaluate current
-						best enterprise management softwares. We focus on a pragmatic approach based
-						on reliable and quantifiable criterions.
-					</p>
-					<p style="text-align: justify;">
-						Evaluation-Matrix follows two different objectives:<br/>
-						* Building a rated features list reflecting users most common needs and,<br/>
-						* Having a way to evaluate available softwares on the market.
-					</p>
-					<p style="text-align: justify;">
-						Our first goal is to precisely define the list of criterions most requested on
-						the market. This list is hierarchised based on users most common needs. A
-						ponderation is defined on each criterion to reflect the demand on each
-						particular feature. The highest the ponderation is, the most requested the
-						feature is.
-					</p>
-					<p style="text-align: justify;">	
-						Based on this list of criterions, our second goal is to evaluate the
-						functionnal and technical coverage of the most used softwares. This allows
-						us to display the result as an evaluation matrix, comparing the different
-						solutions.
-					</p>
-					<p style="text-align: justify;">
-						As to maintain and constantly improve the criterions and features list,
-						Evaluation-Matrix is based on a collaborative approach. Each user can propose
-						new criterions, vote for the pondderation of a criterion or help to evaluate
-						a particular software.
-					</p>
-					
-					<b>Methodology</b><br/>
-					
-					<p style="text-align: justify;">
-						Evaluating a software is not an easy task as much of the features are present
-						in several softwares in different forms: from the simplest and easiest one to
-						the complete but complex ones. As to avoid subjectivness of contributors, we
-						decided to base our evaluation criterions based on factual data.
-					</p>
-					<p style="text-align: justify;">
-						For example, we do not try to judge or vote on the quality of a feature because
-						it depends too much on the need of a user. So, we perfer computing the quality
-						of a feature based on the availability or not of sub-features.
-					</p>
-					<p style="text-align: justify;">
-						<ul><i>Bad criterions :</i>
-						<li>Has the software a good multi-warehouse stock management system ? <br/>
-							- Adjectives like 'good' are too subjective, you should only focus on the
-							  existance or not of some features.</li>
-						<li>Does the software has an analytic accounting module ?<br/>
-							- This question is not precise. All accouting software have analytic
-							  accounting features. So this should be a features with several children
-							  criterions to compute the quality of the analytic accounting solution.</li>
-						<li>Ability to create a product form ?<br/>
-							- This question is not usefull as all software will fit this criterion.</li></ul>
-						<ul><i>Good criterions :</i>
-						<li>Can you define an unlimitted number of warehouses for stock management ?</li></ul>
-					</p>
-							
-					<b>How to propose a new application ?</b><br/>
-					<p style="text-align: justify;">
-						We plan to extend the platform to evaluate any kind of enterprise management
-						application. From the complete ERP to the smallest application dedicated to a
-						very specific need.
-					</p>
-					<p style="text-align: justify;">
-						&lt;Contact us&gt; if you want to suggest new applications to be included in the
-						list. Send us a description of the application, the links to the editor website
-						and the &lt;following file&gt; where you have completed the second column. Keep empty
-						the cells for which you don't know the exact answer.
-					</p>
-					<p style="text-align: justify;">
-						To contact us, send an email to contact@evaluation-matrix.com.
-					</p>
-					<p style="text-align: justify;">
-						<b>NOTE :</b> following file, must be a link to a .csv file with :<br/>
-			  			id<br/>
-			  			criterion_name<br/>
-			  			evaluation (empty column)<br/>
-					</p>
-			
-					<b>About Us</b><br/>
-			
-					<p style="text-align: justify;">
-						Evaluation-Matrix has been made by a group of people sharing the same
-						interrests in enterprise management softwares. We often have to compare
-						different softwares or find the software that fits best the customer need.
-						As to avoid redoing each time the same study or comparisons, we decided to
-						setup this platform.
-					</p>
-					<p style="text-align: justify;">
-						In january 2009, we launched evaluation-matrix starting with the current 5 most
-						important ERP softwares in the world: SAP, Microsoft Navision, Sage L100, Open
-						ERP and Open Bravo.
-					</p>
-					<p style="text-align: justify;">
-						To start with a complete content, we sub-contracted evaluations for the softwares
-						we did not had any specific knowledge. It allowed us to launch evaluation-matrix
-						with about 800 criterions and the evaluation of these criterions for the
-						selected softwares.
-					</p>
-					<p style="text-align: justify;">
-						We plan to extend the evaluation matrix to new applications. Feel free to contact
-						us to send us a suggestion.
-					</p>
-				</div>
-			</td>
-		</tr>
-	</table>
+	<div id="bodybackground">	
+		<div style="height: 46px; width: 890px; float: left;">
+			<div style="float:left;width:9;">
+				<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
+			</div>
+		    <div style="float:left;width:172;">
+		    	<a href="#" onclick="window.location.href='/comparison'" onmouseover="document.comparison_image.src='/static/images/comparison_hover.jpg'" onmouseout="document.comparison_image.src='/static/images/comparison.jpg'">
+		    		<img src="/static/images/comparison.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left; width:175; height:46;">
+		    	<a href="#" onclick="window.location.href='/graph'" onmouseover="document.graph_image.src='/static/images/graphs_hover.jpg'" onmouseout="document.graph_image.src='/static/images/graphs.jpg'">
+		    		<img src="/static/images/graphs.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/softwares'" onmouseover="document.software_image.src='/static/images/software_hover.jpg'" onmouseout="document.software_image.src='/static/images/software.jpg'">
+		    		<img src="/static/images/software.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/document'" onmouseover="document.document_image.src='/static/images/document_hover.jpg'" onmouseout="document.document_image.src='/static/images/document.jpg'">
+		    		<img src="/static/images/document.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:173;">
+		    	<a href="#" onclick="window.location.href='/about'">
+		    		<img src="/static/images/about_hover.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:9;">
+		    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
+		    </div>          
+		</div>
+		<div>
+			<img src="/static/images/bluebgimage.png"/>
+		</div>
+	
+		<div id="checkboxtext" style="margin: auto; width: 850px; font-family: Verdana, Geneva, sans-serif; font-style: normal; font-size: 12px;">
+			<b>Introduction</b><br/>
+			
+			<p style="text-align: justify;">
+				Evaluation-Matrix is a collaborative platform dedicated to evaluate current
+				best enterprise management softwares. We focus on a pragmatic approach based
+				on reliable and quantifiable criterions.
+			</p>
+			<p style="text-align: justify;">
+				Evaluation-Matrix follows two different objectives:<br/>
+				* Building a rated features list reflecting users most common needs and,<br/>
+				* Having a way to evaluate available softwares on the market.
+			</p>
+			<p style="text-align: justify;">
+				Our first goal is to precisely define the list of criterions most requested on
+				the market. This list is hierarchised based on users most common needs. A
+				ponderation is defined on each criterion to reflect the demand on each
+				particular feature. The highest the ponderation is, the most requested the
+				feature is.
+			</p>
+			<p style="text-align: justify;">	
+				Based on this list of criterions, our second goal is to evaluate the
+				functionnal and technical coverage of the most used softwares. This allows
+				us to display the result as an evaluation matrix, comparing the different
+				solutions.
+			</p>
+			<p style="text-align: justify;">
+				As to maintain and constantly improve the criterions and features list,
+				Evaluation-Matrix is based on a collaborative approach. Each user can propose
+				new criterions, vote for the pondderation of a criterion or help to evaluate
+				a particular software.
+			</p>
+			
+			<b>Methodology</b><br/>
+			
+			<p style="text-align: justify;">
+				Evaluating a software is not an easy task as much of the features are present
+				in several softwares in different forms: from the simplest and easiest one to
+				the complete but complex ones. As to avoid subjectivness of contributors, we
+				decided to base our evaluation criterions based on factual data.
+			</p>
+			<p style="text-align: justify;">
+				For example, we do not try to judge or vote on the quality of a feature because
+				it depends too much on the need of a user. So, we perfer computing the quality
+				of a feature based on the availability or not of sub-features.
+			</p>
+			<p style="text-align: justify;">
+				<ul><i>Bad criterions :</i>
+				<li>Has the software a good multi-warehouse stock management system ? <br/>
+					- Adjectives like 'good' are too subjective, you should only focus on the
+					  existance or not of some features.</li>
+				<li>Does the software has an analytic accounting module ?<br/>
+					- This question is not precise. All accouting software have analytic
+					  accounting features. So this should be a features with several children
+					  criterions to compute the quality of the analytic accounting solution.</li>
+				<li>Ability to create a product form ?<br/>
+					- This question is not usefull as all software will fit this criterion.</li></ul>
+				<ul><i>Good criterions :</i>
+				<li>Can you define an unlimitted number of warehouses for stock management ?</li></ul>
+			</p>
+					
+			<b>How to propose a new application ?</b><br/>
+			<p style="text-align: justify;">
+				We plan to extend the platform to evaluate any kind of enterprise management
+				application. From the complete ERP to the smallest application dedicated to a
+				very specific need.
+			</p>
+			<p style="text-align: justify;">
+				&lt;Contact us&gt; if you want to suggest new applications to be included in the
+				list. Send us a description of the application, the links to the editor website
+				and the &lt;following file&gt; where you have completed the second column. Keep empty
+				the cells for which you don't know the exact answer.
+			</p>
+			<p style="text-align: justify;">
+				To contact us, send an email to contact@evaluation-matrix.com.
+			</p>
+			<p style="text-align: justify;">
+				<b>NOTE :</b> following file, must be a link to a .csv file with :<br/>
+	  			id<br/>
+	  			criterion_name<br/>
+	  			evaluation (empty column)<br/>
+			</p>
+	
+			<b>About Us</b><br/>
+	
+			<p style="text-align: justify;">
+				Evaluation-Matrix has been made by a group of people sharing the same
+				interrests in enterprise management softwares. We often have to compare
+				different softwares or find the software that fits best the customer need.
+				As to avoid redoing each time the same study or comparisons, we decided to
+				setup this platform.
+			</p>
+			<p style="text-align: justify;">
+				In january 2009, we launched evaluation-matrix starting with the current 5 most
+				important ERP softwares in the world: SAP, Microsoft Navision, Sage L100, Open
+				ERP and Open Bravo.
+			</p>
+			<p style="text-align: justify;">
+				To start with a complete content, we sub-contracted evaluations for the softwares
+				we did not had any specific knowledge. It allowed us to launch evaluation-matrix
+				with about 800 criterions and the evaluation of these criterions for the
+				selected softwares.
+			</p>
+			<p style="text-align: justify;">
+				We plan to extend the evaluation matrix to new applications. Feel free to contact
+				us to send us a suggestion.
+			</p>
+		</div>
+	</div>
 </body>
 </html>
\ No newline at end of file

=== modified file 'comparison/website/erpComparator/erpcomparator/subcontrollers/templates/comparison.kid'
--- comparison/website/erpComparator/erpcomparator/subcontrollers/templates/comparison.kid	2009-01-29 11:47:48 +0000
+++ comparison/website/erpComparator/erpcomparator/subcontrollers/templates/comparison.kid	2009-01-30 06:26:38 +0000
@@ -8,6 +8,43 @@
 </head>
 <body>
 	<div id="bodybackground">
+		<div style="height: 46px; width: 890px; float: left;">
+			<div style="float:left;width:9;">
+				<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
+			</div>
+		    <div style="float:left;width:172;">
+		    	<a href="#" onclick="window.location.href='/comparison'">
+		    		<img src="/static/images/comparison_hover.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left; width:175; height:46;">
+		    	<a href="#" onclick="window.location.href='/graph'" onmouseover="document.graph_image.src='/static/images/graphs_hover.jpg'" onmouseout="document.graph_image.src='/static/images/graphs.jpg'">
+		    		<img src="/static/images/graphs.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/softwares'" onmouseover="document.software_image.src='/static/images/software_hover.jpg'" onmouseout="document.software_image.src='/static/images/software.jpg'">
+		    		<img src="/static/images/software.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/document'" onmouseover="document.document_image.src='/static/images/document_hover.jpg'" onmouseout="document.document_image.src='/static/images/document.jpg'">
+		    		<img src="/static/images/document.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:173;">
+		    	<a href="#" onclick="window.location.href='/about'" onmouseover="document.about_image.src='/static/images/about_hover.jpg'" onmouseout="document.about_image.src='/static/images/about.jpg'">
+		    		<img src="/static/images/about.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:9;">
+		    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
+		    </div>          
+		</div>
+		<div>
+			<img src="/static/images/bluebgimage.png"/>
+		</div>
+			
 		<div id="checkboxtext">
 			<table name="item_list" id="item_list">
 				<tr py:if="selected_items">

=== modified file 'comparison/website/erpComparator/erpcomparator/subcontrollers/templates/document.kid'
--- comparison/website/erpComparator/erpcomparator/subcontrollers/templates/document.kid	2009-01-29 06:01:23 +0000
+++ comparison/website/erpComparator/erpcomparator/subcontrollers/templates/document.kid	2009-01-30 06:26:38 +0000
@@ -7,6 +7,42 @@
 </head>
 <body>
 	<div id="bodybackground">
+		<div style="height: 46px; width: 890px; float: left;">
+			<div style="float:left;width:9;">
+				<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
+			</div>
+		    <div style="float:left;width:172;">
+		    	<a href="#" onclick="window.location.href='/comparison'" onmouseover="document.comparison_image.src='/static/images/comparison_hover.jpg'" onmouseout="document.comparison_image.src='/static/images/comparison.jpg'">
+		    		<img src="/static/images/comparison.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left; width:175; height:46;">
+		    	<a href="#" onclick="window.location.href='/graph'" onmouseover="document.graph_image.src='/static/images/graphs_hover.jpg'" onmouseout="document.graph_image.src='/static/images/graphs.jpg'">
+		    		<img src="/static/images/graphs.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/softwares'" onmouseover="document.software_image.src='/static/images/software_hover.jpg'" onmouseout="document.software_image.src='/static/images/software.jpg'">
+		    		<img src="/static/images/software.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/document'">
+		    		<img src="/static/images/document_hover.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:173;">
+		    	<a href="#" onclick="window.location.href='/about'" onmouseover="document.about_image.src='/static/images/about_hover.jpg'" onmouseout="document.about_image.src='/static/images/about.jpg'">
+		    		<img src="/static/images/about.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:9;">
+		    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
+		    </div>          
+		</div>
+		<div>
+			<img src="/static/images/bluebgimage.png"/>
+		</div>
     	<table id="checkboxtext">
 			<tr>
 				<td>

=== modified file 'comparison/website/erpComparator/erpcomparator/subcontrollers/templates/graph.kid'
--- comparison/website/erpComparator/erpcomparator/subcontrollers/templates/graph.kid	2009-01-29 11:47:48 +0000
+++ comparison/website/erpComparator/erpcomparator/subcontrollers/templates/graph.kid	2009-01-30 06:26:38 +0000
@@ -7,6 +7,42 @@
 </head>
 <body>
 	<div id="bodybackground">
+		<div style="height: 46px; width: 890px; float: left;">
+			<div style="float:left;width:9;">
+				<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
+			</div>
+		    <div style="float:left;width:172;">
+		    	<a href="#" onclick="window.location.href='/comparison'" onmouseover="document.comparison_image.src='/static/images/comparison_hover.jpg'" onmouseout="document.comparison_image.src='/static/images/comparison.jpg'">
+		    		<img src="/static/images/comparison.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left; width:175; height:46;">
+		    	<a href="#" onclick="window.location.href='/graph'">
+		    		<img src="/static/images/graphs_hover.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/softwares'" onmouseover="document.software_image.src='/static/images/software_hover.jpg'" onmouseout="document.software_image.src='/static/images/software.jpg'">
+		    		<img src="/static/images/software.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/document'" onmouseover="document.document_image.src='/static/images/document_hover.jpg'" onmouseout="document.document_image.src='/static/images/document.jpg'">
+		    		<img src="/static/images/document.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:173;">
+		    	<a href="#" onclick="window.location.href='/about'" onmouseover="document.about_image.src='/static/images/about_hover.jpg'" onmouseout="document.about_image.src='/static/images/about.jpg'">
+		    		<img src="/static/images/about.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:9;">
+		    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
+		    </div>          
+		</div>
+		<div>
+			<img src="/static/images/bluebgimage.png"/>
+		</div>
 		<table id="checkboxtext">
 			<tr>
 				<td class="label">

=== modified file 'comparison/website/erpComparator/erpcomparator/subcontrollers/templates/softwares.kid'
--- comparison/website/erpComparator/erpcomparator/subcontrollers/templates/softwares.kid	2009-01-29 06:01:23 +0000
+++ comparison/website/erpComparator/erpcomparator/subcontrollers/templates/softwares.kid	2009-01-30 06:26:38 +0000
@@ -14,8 +14,44 @@
     
 </head>
 <body>
-	<div id="bodybackground" style="text-align: justify; padding: 5px; width: 890px;" py:for="r in res">
-		<table id="checkboxtext">
+	<div id="bodybackground">
+		<div style="height: 46px; width: 890px; float: left;">
+			<div style="float:left;width:9;">
+				<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
+			</div>
+		    <div style="float:left;width:172;">
+		    	<a href="#" onclick="window.location.href='/comparison'" onmouseover="document.comparison_image.src='/static/images/comparison_hover.jpg'" onmouseout="document.comparison_image.src='/static/images/comparison.jpg'">
+		    		<img src="/static/images/comparison.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left; width:175; height:46;">
+		    	<a href="#" onclick="window.location.href='/graph'" onmouseover="document.graph_image.src='/static/images/graphs_hover.jpg'" onmouseout="document.graph_image.src='/static/images/graphs.jpg'">
+		    		<img src="/static/images/graphs.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/softwares'">
+		    		<img src="/static/images/software_hover.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:176;">
+		    	<a href="#" onclick="window.location.href='/document'" onmouseover="document.document_image.src='/static/images/document_hover.jpg'" onmouseout="document.document_image.src='/static/images/document.jpg'">
+		    		<img src="/static/images/document.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:173;">
+		    	<a href="#" onclick="window.location.href='/about'" onmouseover="document.about_image.src='/static/images/about_hover.jpg'" onmouseout="document.about_image.src='/static/images/about.jpg'">
+		    		<img src="/static/images/about.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
+		    	</a>
+		    </div>
+		    <div style="float:left;width:9;">
+		    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
+		    </div>          
+		</div>
+		<div>
+			<img src="/static/images/bluebgimage.png"/>
+		</div>
+		<table id="checkboxtext" py:for="r in res">
 			<tr>
 				<td>
 					<b><u>

=== modified file 'comparison/website/erpComparator/erpcomparator/templates/master.kid'
--- comparison/website/erpComparator/erpcomparator/templates/master.kid	2009-01-29 06:01:23 +0000
+++ comparison/website/erpComparator/erpcomparator/templates/master.kid	2009-01-30 06:26:38 +0000
@@ -65,43 +65,6 @@
 						</div>
 					</div>
 					
-					<div style="height: 46px; width: 890px; float: left;">
-						<div style="float:left;width:9;">
-							<img src="/static/images/whitebg.gif" alt="" width="9" height="46"/>
-						</div>
-					    <div style="float:left;width:172;">
-					    	<a href="#" onclick="window.location.href='/comparison'" onmouseover="document.comparison_image.src='/static/images/comparison_hover.jpg'" onmouseout="document.comparison_image.src='/static/images/comparison.jpg'">
-					    		<img src="/static/images/comparison.jpg" name="comparison_image" alt="" border="0" width="172" height="46"/>
-					    	</a>
-					    </div>
-					    <div style="float:left; width:175; height:46;">
-					    	<a href="#" onclick="window.location.href='/graph'" onmouseover="document.graph_image.src='/static/images/graphs_hover.jpg'" onmouseout="document.graph_image.src='/static/images/graphs.jpg'">
-					    		<img src="/static/images/graphs.jpg" name="graph_image" alt="" border="0" width="175" height="46"/>
-					    	</a>
-					    </div>
-					    <div style="float:left;width:176;">
-					    	<a href="#" onclick="window.location.href='/softwares'" onmouseover="document.software_image.src='/static/images/software_hover.jpg'" onmouseout="document.software_image.src='/static/images/software.jpg'">
-					    		<img src="/static/images/software.jpg" name="software_image" alt="" border="0" width="176" height="46"/>
-					    	</a>
-					    </div>
-					    <div style="float:left;width:176;">
-					    	<a href="#" onclick="window.location.href='/document'" onmouseover="document.document_image.src='/static/images/document_hover.jpg'" onmouseout="document.document_image.src='/static/images/document.jpg'">
-					    		<img src="/static/images/document.jpg" name="document_image" alt="" border="0" width="176" height="46"/>
-					    	</a>
-					    </div>
-					    <div style="float:left;width:173;">
-					    	<a href="#" onclick="window.location.href='/about'" onmouseover="document.about_image.src='/static/images/about_hover.jpg'" onmouseout="document.about_image.src='/static/images/about.jpg'">
-					    		<img src="/static/images/about.jpg" name="about_image" alt="" border="0" width="173" height="46"/>
-					    	</a>
-					    </div>
-					    <div style="float:left;width:9;">
-					    	<img src="/static/images/rightwhitebg.gif" alt="" width="9" height="46"/>
-					    </div>          
-					</div>
-					<div>
-						<img src="/static/images/bluebgimage.png"/>
-					</div>
-					
 					<div py:replace="[item.text]+item[:]"></div>
 					
 					<div align="center" id="bodybackground"><br/>

=== modified file 'sale_layout/report/report_sale_layout.py'
--- sale_layout/report/report_sale_layout.py	2009-01-29 13:52:33 +0000
+++ sale_layout/report/report_sale_layout.py	2009-01-30 08:48:55 +0000
@@ -41,7 +41,6 @@
         self.context = context
 
     def repeat_In(self, lst, name, nodes_parent=False,td=False,width=[],value=[],type=[]):
-        print 'rrrrrrrrrrrrrrrrrrrrrrrrrepeat_In', lst
         self._node.data = ''
         node = self._find_parent(self._node, nodes_parent or parents)
         ns = node.nextSibling
@@ -62,7 +61,6 @@
                 tableFlag=1
 
                 width_str = ns._attrs['colWidths'].nodeValue
-                print 'WWWWWWWWWWWWWWWWWWWw',width_str
                 ns.removeAttribute('colWidths')
                 total_td = td * len(value)
 
@@ -70,7 +68,6 @@
                     for v in value:
                         width.append(30)
                 for v in range(len(value)):
-                    print 'v,value,width,width_str',v,value,width,width_str
                     width_str +=',%d'%width[v]
 
                 ns.setAttribute('colWidths',width_str)
@@ -89,7 +86,6 @@
                             newnode = lc.cloneNode(1)
 
                             newnode.childNodes[1].lastChild.data = t1 + t2 +t3
-#                           newnode.childNodes[1].lastChild.data=[[ a['status']==1 and ( setTag('para','para',{'fontName':'Times-bold'})) ]]
                             child.appendChild(newnode)
                             newnode=False
                             i+=1
@@ -118,8 +114,7 @@
             res={}
 
             if entry.layout_type=='article':
-                print '$$$$$$$$$$$$$$$$$$$$$44',entry.tax_id
-                res['taxes']=', '.join(map(lambda x: x.name, entry.tax_id)) or ''
+                res['tax_id']=', '.join(map(lambda x: x.name, entry.tax_id)) or ''
                 res['name']=entry.name
                 res['product_uom_qty']="%.2f"%(entry.product_uos and entry.product_uos_qty or entry.product_uom_qty  or 0.00)
                 res['product_uom']=entry.product_uos and entry.product_uos.name or entry.product_uom.name 
@@ -137,7 +132,7 @@
                 res['product_uom_qty']=''
                 res['price_unit']=''
                 res['discount']=''
-                res['taxes']=''
+                res['tax_id']=''
                 res['layout_type']=entry.layout_type
                 res['note']=entry.notes
                 res['product_uom']=''
@@ -161,7 +156,7 @@
                     res['quantity']=''
                     res['price_unit']=''
                     res['discount']=''
-                    res['taxes']=''
+                    res['tax_id']=''
                     res['product_uom']=''
                 elif entry.layout_type=='title':
                     res['name']=entry.name
@@ -175,7 +170,7 @@
                     res['product_uom_qty']='____________'
                     res['price_unit']='______________'
                     res['discount']='____________'
-                    res['taxes']='_________________'
+                    res['tax_id']='_________________'
                     res['product_uom']='_____'
                     res['name']='________________________________________'
                     res['price_subtotal']='_______________________'

=== modified file 'sale_layout/sale_layout.py'
--- sale_layout/sale_layout.py	2009-01-29 13:52:33 +0000
+++ sale_layout/sale_layout.py	2009-01-30 08:48:55 +0000
@@ -30,40 +30,7 @@
                 new_ids.append(line.id)
         return super(sale_order_line, self).invoice_line_create(cr, uid, new_ids, context)
 
-#    def fields_get(self, cr, uid, fields=None, context=None):
-##        print 'sale layout...........................fields_get',fields
-##        article = {
-##            'article': [('readonly', False), ('invisible', False)],
-##            'text': [('readonly', True), ('invisible', True), ('required', False)],
-##            'subtotal': [('readonly', True), ('invisible', True), ('required', False)],
-##            'title': [('readonly', True), ('invisible', True), ('required', False)],
-##            'break': [('readonly', True), ('invisible', True), ('required', False)],
-##            'line': [('readonly', True), ('invisible', True), ('required', False)],
-##        }
-##        states_layout = {
-##            'name': {
-##                'break': [('readonly', True),('required', False),('invisible', True)],
-##                'line': [('readonly', True),('required', False),('invisible', True)],
-##                },
-##            'product_id': article,
-##            'product_uom_qty': article,
-##            'product_uom': article,
-##            'product_uos_qty': article,
-##            'product_uos': article,
-##            'price_unit': article,
-##            'discount': article,
-##            'tax_id': article,
-##            'type' : article,
-##        }
-#        res = super(sale_order_line, self).fields_get(cr, uid, fields, context)
-#        print res
-#        if 'name' in res:
-#            res['name']['defaults']= 'Sub Total'
-#            print '=============',res
-#        return res
-
     def _onchange_sale_order_line_view(self, cr, uid, id, type, context={}, *args):
-            print '=SALE LAYYYYYYYYOUUUUTTTTTTT_onchange_sale_order_line_view',type
             temp ={}
             temp['value']= {}
             if (not type):
@@ -102,16 +69,6 @@
 
     def write(self, cr, user, ids, vals, context=None):
         if vals.has_key('layout_type'):
-#            if vals['layout_type'] != 'article':
-#                vals['product_id']= False
-#                vals['product_uom_qty']= False,
-#                vals['product_uom']= False,
-#                vals['product_uos_qty']= False,
-#                vals['product_uos']= False,
-#                vals['price_unit']= False,
-#                vals['discount']= False,
-#                vals['tax_id']= False,
-#                vals['type']= 'make_to_stock',
             if vals['layout_type'] == 'line':
                 vals['name'] = ' '
             if vals['layout_type'] == 'break':

=== modified file 'sale_layout/sale_layout_view.xml'
--- sale_layout/sale_layout_view.xml	2009-01-29 13:52:33 +0000
+++ sale_layout/sale_layout_view.xml	2009-01-30 08:48:55 +0000
@@ -23,38 +23,8 @@
 			<field name="type">tree</field>
 			<field name="arch" type="xml">
 				<xpath expr="/tree/field[@name='name']" position="before">
-					
-					<!-- <field name="sequence" string="Seq."/> -->
-					<field colspan="4"
-                        context="partner_id=parent.partner_id,quantity=product_uom_qty,pricelist=parent.pricelist_id,shop=parent.shop_id,uom=product_uom"
-                        name="product_id"
-                        readonly="0"
-                        attrs="{'readonly':[('layout_type','!=','article')]}"
-                        on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], True, parent.date_order, product_packaging)"
-                        select="1"/>
-                    <field
-                        context="partner_id=parent.partner_id,quantity=product_uom_qty,pricelist=parent.pricelist_id,shop=parent.shop_id,uom=product_uom"
-                        name="product_uom_qty"
-                        attrs="{'readonly':[('layout_type','!=','article')]}"
-                        on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], False, parent.date_order, product_packaging)"
-                        select="1"/>
-                    <field name="product_uom"
-                    	attrs="{'readonly':[('layout_type','!=','article')]}"
-                        on_change="product_uom_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], False, parent.date_order)"/>
-                    <field
-                        name="product_packaging"
-                        attrs="{'readonly':[('layout_type','!=','article')]}"
-                        context="partner_id=parent.partner_id,quantity=product_uom_qty,pricelist=parent.pricelist_id,shop=parent.shop_id,uom=product_uom"
-                        on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], False, parent.date_order, product_packaging)"
-                        domain="[('product_id','=',product_id)]"
-                        groups="base.group_extended"/>
-                    <separator colspan="4" string="Manual Description" />
-                    <field colspan="4" name="name" select="2" attrs="{'readonly':[('layout_type','in',('line','break'))] }"/>
-                    <field name="price_unit" select="2" attrs="{'readonly':[('layout_type','!=','article')]}"/>
-                    <field name="discount" attrs="{'readonly':[('layout_type','!=','article')]}"/>
-                    <field name="type" attrs="{'readonly':[('layout_type','!=','article')]}"/>
-                    <field name="delay" select="2" attrs="{'readonly':[('layout_type','!=','article')]}"/>
-                    <field colspan="4" name="tax_id" domain="[('parent_id','=',False)]" attrs="{'readonly':[('layout_type','!=','article')]}"/>
+					<field name="sequence" string="Seq."/> 
+					<field name="layout_type"/>
 				</xpath>
 			</field>
 		</record>
@@ -75,7 +45,6 @@
 										<field colspan="4"
 					                        context="partner_id=parent.partner_id,quantity=product_uom_qty,pricelist=parent.pricelist_id,shop=parent.shop_id,uom=product_uom"
 					                        name="product_id"
-					                        readonly="0"
 					                        attrs="{'readonly':[('layout_type','!=','article')]}"
 					                        on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], True, parent.date_order, product_packaging)"
 					                        select="1"/>
@@ -86,7 +55,8 @@
 					                        on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], False, parent.date_order, product_packaging)"
 					                        select="1"/>
 					                    <field name="product_uom"
-					                    	attrs="{ 'required':[('layout_type','not in',['title','text','subtotal','line','break'])]}"
+					                  		 required="0"
+					                    	attrs="{'readonly':[('layout_type','!=','article')],  'required':[('layout_type','not in',['title','text','subtotal','line','break'])]}"
 					                        on_change="product_uom_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, 'lang' in context and context['lang'], False, parent.date_order)"/>
 					                    <field
 					                        name="product_packaging"

=== modified file 'sale_payment/__terp__.py'
--- sale_payment/__terp__.py	2009-01-25 11:36:10 +0000
+++ sale_payment/__terp__.py	2009-01-30 10:43:07 +0000
@@ -21,6 +21,6 @@
     "update_xml" : [
         "sale_payment_view.xml",
         ],
-    "active": True,
+    "active": False,
     "installable": True
 }

